Bug 56744 - make check failures: cygwin32.test, pluseq2.test, pluseq3.test, xsource.test
make check failures: cygwin32.test, pluseq2.test, pluseq3.test, xsource.test
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: automake (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-26 15:17 EST by Ben Levenson
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-09 23:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-11-26 15:17:38 EST
Description of Problem:
The following tests failed w/ automake's "make check" tests:
  FAIL: cygwin32.test
  FAIL: pluseq2.test
  FAIL: pluseq3.test
  FAIL: xsource.test
The remaining 191 tests passed.

Version-Release number of selected component (if applicable):
automake-1.4p5-3

Steps to Reproduce:
1. install automake-1.4p5-3.src.rpm
2. cd to BUILD/automake-1.4-p5/
3. make check
Comment 1 Tom Tromey 2001-11-28 15:20:56 EST
I looked into this a bit.
None of these tests fail with the stock automake 1.4-p5.
So the problems are introduced (or revealed) by the Red Hat patches.

* xsource.test tests for the behavior which "automake-1.4-subdir.patch"
  disables.
  Fix: Remove xsource.test from the TESTS macro in tests/Makefile.am
  This limitation of automake 1.4 is eliminated in automake 1.5.

* pluseq2.test and pluseq3.test fail but don't represent "real" failures.
  Automake's test suite is not very sophisticated.  Often it uses grep
  to look at the generated Makefile.in.  So small changes in formatting
  (with no semantic change) can upset it.  That is happening in this case.
  I believe this change is introduced by "automake-1.4-backslash.patch".
  Is this patch really required?  My belief is that the problems addressed
  by this patch were addressed in a different way in 1.4-p5.
  However, I don't know exactly what bugs this patch addresses, so I'm not
  100% certain.  If the patch is required, the fix would be to modify
  the tests to test for the new output.  Or, you could just remove the
  tests from the list of tests that are run.

* cygwin32.test is "broken" by HJ's patch that fixes a typo in
  %obsolete_macros.  The fix is to change cygwin32.test to use
  "AC_EXEEXT" instead of "AM_EXEEXT".  That is, this is a bug in
  the automake test suite.

I'm not sure that all of "automake-1.4-19980208.patch" is required.
However, parts of it definitely are, and I was surprised to see that
some hunks aren't in 1.4-p5 by default.  Bummer.  In the long term
though, moving to automake 1.5 is probably the way to go.
Comment 2 Jens Petersen 2002-01-21 21:23:03 EST
FWIW with automake-1.5, the above failures no longer occur.
(However the cond13, dirname and vtexi tests fail instead.)
Comment 3 Jens Petersen 2003-11-09 23:19:30 EST
I just tried with automake-1.7.9, and there were no unexpected
failures at all.
Comment 4 Jens Petersen 2003-11-10 02:08:22 EST
In fact it is also fine with automake16-1.6.3

Note You need to log in before you can comment on or make changes to this bug.